Suggested bid recommendations are now available for keywords already included in Sponsored Products, Sponsored Brands, and Sponsored Videos campaigns. Integrate the new Selected Keyword Bid Recommendations type to retrieve competitive bid suggestions that are refreshed daily without changing existing recommendation integrations.
-
Submit a recommendation snapshot request using
POST /api/v2/snapshot/recommendations.
Set
recommendationTypetoIdentifies the recommendation report to generate. Use
selectedKeywordsto request bid recommendations for keywords already included in a campaign.Request FieldselectedKeywords.Campaign Recommendations API value for Selected Keyword Bid Recommendations.
Enum Value -
Include
advertiserId, setUnique numeric identifier for the advertising account. Each snapshot request supports one advertiser ID.
Request FieldformattoOutput compression format for the snapshot report. The supported value is
gzip.Request Fieldgzip, and providecampaignIds.Array of valid campaign IDs for which selected keyword recommendations should be generated. This field is required for the
selectedKeywordsreport.Request Field -
Request the following values in
reportMetrics:Array of fields to include in the generated recommendation report.
Request FieldcampaignId,adGroupId,keywordId,keywordText,matchType, andsuggestedBid. -
Retrieve the snapshot status using
GET /api/v2/snapshotwith the advertiser ID and returned snapshot ID.Retrieves the generation status and download information for a Campaign Recommendations snapshot.
Endpoint -
Poll until
jobStatusisIndicates the snapshot generation state. Possible values are
pending,processing,done,failed, andexpired.Response Fielddone. Thedetailsfield then contains the download URL for the gzip-compressed CSV report.Provides the report download URL after snapshot generation reaches the
donestate.Response Field -
Parse
matchTypetogether withMatch type associated with the keyword and suggested bid. Possible values are
exact,phrase, andbroad.Response FieldsuggestedBidso the recommendation is applied to the correct keyword and match type.Suggested bid value for the existing keyword in the specified campaign and ad group.
Response Field -
Existing Campaign Recommendations integrations are not impacted. Add support for the new
selectedKeywordstype only when adopting this feature.
Best Practice: Generate a new Selected Keyword Bid Recommendations report when current bid guidance is needed because suggested bids are refreshed daily.
To learn more, see the
Create Campaign Recommendations documentation.
